linux: 3.2.0-33.52 -proposed tracker

Bug #1067666 reported by Luis Henriques on 2012-10-17
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Brendan Donegan
Prepare-package
Undecided
Luis Henriques
Prepare-package-lbm
Undecided
Luis Henriques
Prepare-package-meta
Undecided
Luis Henriques
Promote-to-proposed
Undecided
Adam Conrad
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Adam Conrad
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Precise
Undecided
Unassigned

Bug Description

This bug is for tracking the 3.2.0-33.52 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Wednesday, 17. October 2012 09:28 UTC
kernel-stable-Prepare-package-end:Friday, 19. October 2012 11:03 UTC
kernel-stable-Promote-to-proposed-start:Friday, 19. October 2012 11:03 UTC
kernel-stable-Promote-to-proposed-end:Saturday, 20. October 2012 09:15 UTC
kernel-stable-Verification-testing-start:Saturday, 20. October 2012 10:15 UTC
kernel-stable-Verification-testing-end:Wednesday, 07. November 2012 10:15 UTC
kernel-stable-Certification-testing-start:Wednesday, 07. November 2012 10:15 UTC
kernel-stable-Security-signoff-start:Wednesday, 07. November 2012 10:15 UTC
kernel-stable-Regression-testing-start:Wednesday, 07. November 2012 10:15 UTC
kernel-stable-Certification-testing-end:Thursday, 08. November 2012 23:45 UTC
kernel-stable-Regression-testing-end:Friday, 09. November 2012 00:15 UTC
kernel-stable-Promote-to-updates-start:Wednesday, 14. November 2012 19:15 UTC
kernel-stable-Security-signoff-end:Wednesday, 14. November 2012 19:15 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Wednesday, 14. November 2012 20:30 UTC
kernel-stable-Promote-to-updates-end:Wednesday, 14. November 2012 20:30 UTC

Luis Henriques (henrix) on 2012-10-17
tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: precise
Changed in kernel-sru-workflow:
status: New → In Progress
Luis Henriques (henrix) on 2012-10-17
Changed in linux (Ubuntu):
status: In Progress → Invalid

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 1068572
linux-armadaxp - bug 1068573

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed and overrides mangled.

Brad Figg (brad-figg) on 2012-10-19
description: updated

The following packages ended up in the wrong component in the -proposed pocket:

linux-backports-modules-cw-3.5-precise-generic 3.2.0.33.36 - is in universe instead of main
linux-backports-modules-cw-3.5-precise-generic 3.2.0.33.36 - is in universe instead of main
linux-backports-modules-cw-3.5-precise-generic-pae 3.2.0.33.36 - is in universe instead of main
linux-backports-modules-cw-3.6-precise-generic 3.2.0.33.36 - is in universe instead of main
linux-backports-modules-cw-3.6-precise-generic 3.2.0.33.36 - is in universe instead of main
linux-backports-modules-cw-3.6-precise-generic-pae 3.2.0.33.36 - is in universe instead of main

Once this is fixed, set the promote-to-proposed to Fix Released again

description: updated
Adam Conrad (adconrad) wrote :

Oops, new meta packages needed mangling too. All fixed now.

Brad Figg (brad-figg) on 2012-10-20
description: updated
Brad Figg (brad-figg) on 2012-10-20
description: updated
Luis Henriques (henrix) wrote :

All SRUs verified; moving to testing

Brad Figg (brad-figg) on 2012-11-07
description: updated

Hardware Certification have begun testing this -proposed kernel

tags: added: certification-testing-passed

Hardware Certification have completed testing on 44/47 systems. The 3 systems that did not submit were servers inaccesible in a data center. No regressions were observed on the systems that did submit. The report is available at: http://people.canonical.com/~hwcert/sru-testing/wk45_2012/precise-proposed.html

Brad Figg (brad-figg) on 2012-11-08
description: updated
C de-Avillez (hggdh2) wrote :

no regressions observed

tags: added: qa-testing-passed
removed: certification-testing-passed

The certification-testing task was set to Fix Released but neither the certification-testing-passed or certification-testing-failed tag was applied

description: updated

Added back in the tag, which was accidently removed

tags: added: certification-testing-passed
John Johansen (jjohansen) wrote :

No CVEs

Brad Figg (brad-figg) on 2012-11-14
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (9.1 KiB)

This bug was fixed in the package linux - 3.2.0-33.52

---------------
linux (3.2.0-33.52) precise-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1067666

  [ Andy Whitcroft ]

  * [Config] add fs/udf to linux-image to support DVD/CD formats in virtual
    instances
    - LP: #1066921

  [ James M Leddy ]

  * SAUCE: input: fix weird issue of synaptics psmouse sync lost after
    resume
    - LP: #717970

  [ Paolo Pisati ]

  * [SRU] [Config] enable TIDSPBRIDGE for omap arm[el|hf] flavours
    - LP: #1058022

  [ Sarveshwar Bandi ]

  * SAUCE: bridge: Pull ip header into skb->data before looking into ip
    header.
    - LP: #1065150

  [ Upstream Kernel Changes ]

  * Revert "drm/radeon: rework pll selection (v3)"
    - LP: #1065047
  * sched: Fix migration thread runtime bogosity
    - LP: #1057593
  * Bluetooth: Add support for Sony Vaio T-Series
    - LP: #1054307
  * drm/radeon: properly handle mc_stop/mc_resume on evergreen+ (v2)
    - LP: #1058303
  * Bluetooth: Use USB_VENDOR_AND_INTERFACE() for Broadcom devices
    - LP: #1058303
  * Bluetooth: Add USB_VENDOR_AND_INTERFACE_INFO() for Broadcom/Foxconn
    - LP: #1030233, #1058303
  * target: Fix ->data_length re-assignment bug with SCSI overflow
    - LP: #1065047
  * ASoC: samsung dma - Don't indicate support for pause/resume.
    - LP: #1065047
  * fs/proc: fix potential unregister_sysctl_table hang
    - LP: #1065047
  * mm/ia64: fix a memory block size bug
    - LP: #1065047
  * nbd: clear waiting_queue on shutdown
    - LP: #1065047
  * drivers/rtc/rtc-twl.c: ensure all interrupts are disabled during probe
    - LP: #1065047
  * mm/page_alloc: fix the page address of higher page's buddy calculation
    - LP: #1065047
  * memory hotplug: fix section info double registration bug
    - LP: #1065047
  * cciss: fix handling of protocol error
    - LP: #1065047
  * vfs: dcache: use DCACHE_DENTRY_KILLED instead of DCACHE_DISCONNECTED in
    d_kill()
    - LP: #1065047
  * workqueue: reimplement work_on_cpu() using system_wq
    - LP: #1065047
  * cpufreq/powernow-k8: workqueue user shouldn't migrate the kworker to
    another CPU
    - LP: #1065047
  * sched: Fix ancient race in do_exit()
    - LP: #1065047
  * hpwdt: Fix kdump issue in hpwdt
    - LP: #1065047
  * rtlwifi: rtl8192ce: Log message that B_CUT device may not work
    - LP: #1065047
  * brcmfmac: fix big endian bug in i-scan.
    - LP: #1065047
  * brcmfmac: Fix big endian host configuration data.
    - LP: #1065047
  * dmaengine: at_hdmac: fix comment in atc_prep_slave_sg()
    - LP: #1065047
  * dmaengine: at_hdmac: check that each sg data length is non-null
    - LP: #1065047
  * ARM: 7532/1: decompressor: reset SCTLR.TRE for VMSA ARMv7 cores
    - LP: #1065047
  * drm/i915: Reduce a pin-leak BUG into a WARN
    - LP: #1065047
  * bnx2i: Fixed NULL ptr deference for 1G bnx2 Linux iSCSI offload
    - LP: #1065047
  * mpt2sas: Fix for issue - Unable to boot from the drive connected to HBA
    - LP: #1065047
  * hwmon: (ads7871) Add 'name' sysfs attribute
    - LP: #1065047
  * DMA: PL330: Check the pointer returned by kzalloc
    - LP: #1065047
  * hpsa: fix handling of protocol error
    -...

Read more...

Changed in linux (Ubuntu Precise):
status: New → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers